import java.util.Scanner;
public class Quiz02Operadores
{
  public static void main(String Args[])
  {
   Scanner teclado = new Scanner(System.in);
   
   System.out.println("Tablas de Operadores");
   System.out.println();
 

  System.out.println();
 
   System.out.print("Operador [ 1=+ 2=- 3=* 4=/ 5=% 0=Salir]");
   int operador = teclado.nextInt();
   
      if (operador == 0)
   {
     return;
   }
    
   System.out.print("Operador [ 1=+ 2=- 3=* 4=/ 5=% 0=Salir]");
   operador = teclado.nextInt();
   
   System.out.print("Valor mínimo: ");
   double valorMinimo = teclado.nextDouble();
   System.out.print("Valor máximo: ");
   double valorMaximo = teclado.nextDouble();
   System.out.print("Incremento: ");
   double incremento = teclado.nextDouble();
   double columna = 1.0;
   double fila = 1.0;


   

    for (; incremento < 0.0; ++incremento)
    {
      System.out.print("Incremento: ");
      incremento = teclado.nextInt();
      
    if (incremento == 0.0)
    {
     System.out.print("Incremento: ");
     incremento = teclado.nextInt();
    }
    
     if (incremento > 0)
   {
   switch (operador)
   {
    
       
       
     case 1:
     {
     System.out.print(" + ");
     for ( ; valorMinimo <= valorMaximo; valorMinimo = valorMinimo+ incremento )

   
     System.out.print(  +  valorMinimo + "   ");
     System.out.println();
     
     {
      
     for ( fila = 1; fila <= valorMaximo; ++fila )
     {
      for ( columna = 1; columna <= valorMaximo; ++columna ) 
           System.out.printf( "   " +  ( fila+columna)  );  
           System.out.println();
   
     }
     }
     } break;
     
     
     case 2:
     {
      System.out.print(" - ");
     for ( ; valorMinimo <= valorMaximo; valorMinimo = valorMinimo + incremento )

   
     System.out.print(  +  valorMinimo + "   ");
     System.out.println();
     
     {
      
     for ( fila = 1; fila <= valorMaximo; ++fila )
     {
      for ( columna = 1; columna <= valorMaximo; ++columna ) 
           System.out.printf( "   " +  ( fila-columna)  );  
           System.out.println();
   
     }
     }
     } break;
     
     case 3: 
     {
        System.out.print(" * ");
        
     for ( ; valorMinimo <= valorMaximo; valorMinimo = valorMinimo+ incremento )

   
     System.out.print(  +  valorMinimo + "   ");
     System.out.println();
     
     
     
     {
      
     for ( fila = 0.0; fila <= valorMaximo; ++fila )
     {
       
      for ( columna = 0.0; columna <= valorMaximo; ++columna ) 
           System.out.printf( "    " +  ( fila*columna)  );  
     
           System.out.println();
   
     }
     }
     } break;
     
     
     case 4:
     {
        System.out.print(" / ");
     for ( ; valorMinimo <= valorMaximo; valorMinimo = valorMinimo+ incremento )

   
     System.out.print(  +  valorMinimo + "   ");
     System.out.println();
     
     {
      
     for ( fila = 1; fila <= valorMaximo; ++fila )
     {
      for ( columna = 1; columna <= valorMaximo; ++columna ) 
           System.out.printf( "   " +  ( fila/columna)  );  
           System.out.println();
   
     } 
     }
     } break;
     
     case 5: 
     {
        System.out.print(" % ");
     for ( ; valorMinimo <= valorMaximo; valorMinimo = valorMinimo+ incremento )

   
     System.out.print(  +  valorMinimo + "   ");
     System.out.println();
     
     {
      
     for ( fila = 1; fila <= valorMaximo; ++fila )
     {
      for ( columna = 1; columna <= valorMaximo; ++columna ) 
           System.out.printf( "   " +  ( fila%columna)  );  
           System.out.println();
           
      
           
   
     }
     }
     } break;
   }
     
  
     
   
 }
    


 
    }//FIN WHILE CONTADOR
 
     
           
    
  }
}
 
      
     
  

